using DbCommon.BusinessCore.BaseCore;
using DbCommon.Extenions;
using PmsSecondaryPackaging.Interface.Model.TaskBook;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.OrderLogic
{
    public class OrderLogicBase : IOrderLogic
    {
        protected LocationPropertyManager m_locationManager;

        public OrderLogicBase()
        {
            m_locationManager = new LocationPropertyManager();
        }

        public virtual bool FirstCheck()
        {
            return false;
        }

        public virtual bool SecondCheck()
        {
            return true;
        }

        public virtual TaskAddInfoModel GetTask()
        {
            TaskAddInfoModel data = new TaskAddInfoModel();
            data.TaskID = DateTime.Now.ToString("yyyyMMddhhmmssffff");
            data.ParametersDic = new Dictionary<string, string>();

            return data;
        }

        public virtual void SecondCheckFailProc()
        {
        }

        public virtual void CallTaskCheckFailProc()
        {
        }
    }
}
